JRE upgrade for Release Automation NAC, NES and Agents

book

Article ID: 144913

calendar_today

Updated On:

Products

CA Release Automation - Release Operations Center (Nolio) CA Release Automation - DataManagement Server (Nolio)

Issue/Introduction

We are looking to upgrade JRE for various Release Automation components to recommended security versions i.e. Oracle 1.7.0_241 / 1.8.0_231 / 1.11.0_5 / 1.13.0_1.

In case if we can't change the default one bundled with installers when we can expect the same to be upgraded.

 

Environment

Release : 6.6

Component : CA RELEASE AUTOMATION CORE

Resolution

As been a known fact that recently Oracle had exercised licensing of JAVA which put certain limitation on distribution of the same with products. In lieu to same we want to inform the future JRE distribution for Release Automation a.k.a Nolio.


  • The CA Release Automation (CARA) 6.6 version will remain on Oracle JRE, and due to licensing restriction RA version 6.6 will never able to go beyond JRE version higher than 1.8.0_202
  • The upgrade of JRE for CARA product versioned 6.6 to 1.8.0_231 / 1.11.0_5 / 1.13.0_1 will not be in scope align to legal restriction.
  • From product perspective our recommendation is to upgrade to 6.7 version which bundles AdoptOpenJDK 1.8.0_232, and in future this JDK will be actualized in the future patches.
  • With upgrade to 6.7 all the components will be aligned to AdoptOpenJDK 1.8.0_232 and agents can be upgraded which will also be hosting same version of JRE.